Bug 982533 - [abrt] IMAP interruptions side-effects / claws-mail-3.9.2-1.fc19: g_malloc0: Process /usr/bin/claws-mail was killed by signal 11 (SIGSEGV)
[abrt] IMAP interruptions side-effects / claws-mail-3.9.2-1.fc19: g_malloc0: ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: claws-mail (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
abrt_hash:569f1442dca93cb0733b91c6ab1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 05:03 EDT by Andrey V. Henneberg
Modified: 2015-01-05 02:36 EST (History)
2 users (show)

See Also:
Fixed In Version: claws-mail-plugins-3.11.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-30 19:48:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (107.78 KB, text/plain)
2013-07-09 05:03 EDT, Andrey V. Henneberg
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-09 05:03 EDT, Andrey V. Henneberg
no flags Details
File: core_backtrace (2.28 KB, text/plain)
2013-07-09 05:03 EDT, Andrey V. Henneberg
no flags Details
File: dso_list (19.16 KB, text/plain)
2013-07-09 05:04 EDT, Andrey V. Henneberg
no flags Details
File: environ (1.29 KB, text/plain)
2013-07-09 05:04 EDT, Andrey V. Henneberg
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-09 05:04 EDT, Andrey V. Henneberg
no flags Details
File: maps (93.39 KB, text/plain)
2013-07-09 05:04 EDT, Andrey V. Henneberg
no flags Details
File: open_fds (1.45 KB, text/plain)
2013-07-09 05:04 EDT, Andrey V. Henneberg
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2013-07-09 05:04 EDT, Andrey V. Henneberg
no flags Details
File: var_log_messages (403 bytes, text/plain)
2013-07-09 05:04 EDT, Andrey V. Henneberg
no flags Details
File: xsession_errors (28.32 KB, text/plain)
2013-07-09 05:04 EDT, Andrey V. Henneberg
no flags Details

  None (edit)
Description Andrey V. Henneberg 2013-07-09 05:03:45 EDT
Description of problem:
Claws-mail crashes after several network switchings on and off.

Version-Release number of selected component:
claws-mail-3.9.2-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/claws-mail
crash_function: g_malloc0
executable:     /usr/bin/claws-mail
kernel:         3.9.9-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 g_malloc0 at gmem.c:189
 #3 g_malloc0_n at gmem.c:424
 #4 g_hash_table_resize at ghash.c:538
 #5 g_hash_table_maybe_resize at ghash.c:594
 #6 g_hash_table_insert_node at ghash.c:909
 #7 g_hash_table_insert_internal at ghash.c:1155
 #8 imap_flags_hash_from_lep_uid_flags_tab at imap.c:5711
 #9 imap_get_flags_thread at imap.c:5136
 #10 imap_get_flags at imap.c:5292
 #11 syncronize_flags at folder.c:1940
Comment 1 Andrey V. Henneberg 2013-07-09 05:03:49 EDT
Created attachment 770853 [details]
File: backtrace
Comment 2 Andrey V. Henneberg 2013-07-09 05:03:55 EDT
Created attachment 770854 [details]
File: cgroup
Comment 3 Andrey V. Henneberg 2013-07-09 05:03:59 EDT
Created attachment 770855 [details]
File: core_backtrace
Comment 4 Andrey V. Henneberg 2013-07-09 05:04:02 EDT
Created attachment 770856 [details]
File: dso_list
Comment 5 Andrey V. Henneberg 2013-07-09 05:04:05 EDT
Created attachment 770857 [details]
File: environ
Comment 6 Andrey V. Henneberg 2013-07-09 05:04:09 EDT
Created attachment 770858 [details]
File: limits
Comment 7 Andrey V. Henneberg 2013-07-09 05:04:13 EDT
Created attachment 770859 [details]
File: maps
Comment 8 Andrey V. Henneberg 2013-07-09 05:04:16 EDT
Created attachment 770860 [details]
File: open_fds
Comment 9 Andrey V. Henneberg 2013-07-09 05:04:19 EDT
Created attachment 770861 [details]
File: proc_pid_status
Comment 10 Andrey V. Henneberg 2013-07-09 05:04:23 EDT
Created attachment 770862 [details]
File: var_log_messages
Comment 11 Andrey V. Henneberg 2013-07-09 05:04:27 EDT
Created attachment 770863 [details]
File: xsession_errors
Comment 12 Michael Schwendt 2013-07-21 14:09:10 EDT
Notice the dozens of errors in your $HOME/.xsession-errors file related to accessing GMail via IMAP. Better restart Claws Mail occasionally when you're facing networking problems. There are a couple of similar tickets in the upstream tracker.
Comment 13 Michael Schwendt 2014-05-26 12:56:19 EDT
Memory corruption as a side-effect. Very likely fixed upstream after 3.9.3 as a result of recent fixes for bug 569478 and its corresponding upstream tickets.
Comment 14 Fedora Update System 2014-05-26 17:17:05 EDT
claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20
Comment 15 Fedora Update System 2014-05-26 17:17:39 EDT
claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19
Comment 16 Fedora Update System 2014-05-27 22:55:50 EDT
Package claws-mail-3.10.0-1.fc19, claws-mail-plugins-3.10.0-1.fc19, libetpan-1.5-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing claws-mail-3.10.0-1.fc19 claws-mail-plugins-3.10.0-1.fc19 libetpan-1.5-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6774/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19
then log in and leave karma (feedback).
Comment 17 Fedora Update System 2014-05-30 19:48:51 EDT
claws-mail-3.10.0-1.fc20, claws-mail-plugins-3.10.0-1.fc20, libetpan-1.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2014-11-02 12:51:28 EST
claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19
Comment 19 Fedora Update System 2014-11-02 12:52:09 EST
claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20
Comment 20 Fedora Update System 2014-11-02 12:54:48 EST
claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21
Comment 21 Fedora Update System 2014-11-10 01:29:54 EST
claws-mail-plugins-3.11.1-1.fc20, claws-mail-3.11.1-2.fc20, libetpan-1.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2014-11-10 01:33:40 EST
claws-mail-plugins-3.11.1-1.fc21, claws-mail-3.11.1-2.fc21, libetpan-1.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2015-01-05 02:36:00 EST
claws-mail-plugins-3.11.1-1.fc19, claws-mail-3.11.1-2.fc19, libetpan-1.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.